<?php
/*
=====================================================
 DataLife Engine v14.1
-----------------------------------------------------
 Persian support site: https://dlefa.ir
-----------------------------------------------------
 Developer: Eh3an - 09353397988
-----------------------------------------------------
 FileName :  engine/inc/upgrade/14.0.php
-----------------------------------------------------
 Copyright (c) 2020, All rights reserved.
=====================================================
*/


if( !defined( 'DATALIFEENGINE' ) ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../../' );
	die( "Hacking attempt!" );
}

$config['version_id'] = "14.1";
$config['tags_separator'] = ", ";
$config['session_timeout'] = "0";

$config['speedbar_separator'] = " ".$config['speedbar_separator']." ";
$config['category_separator'] = " ".$config['category_separator']." ";

$tableSchema = array();

$tableSchema[] = "ALTER TABLE `" . PREFIX . "_category` ADD `rating_type` TINYINT(1) NOT NULL DEFAULT '-1'";

foreach($tableSchema as $table) {
	$db->query ($table, false);
}

$handler = fopen(ENGINE_DIR.'/data/config.php', "w");
fwrite($handler, "<?PHP \n\n//System Configurations\n\n\$config = array (\n\n");
foreach($config as $name => $value) {
	fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
}
fwrite($handler, ");\n\n?>");
fclose($handler);

include_once (DLEPlugins::Check(ENGINE_DIR . '/inc/upgrade/plugins.php'));
$check1 = $db->super_query( "SELECT id FROM " . PREFIX . "_plugins WHERE name = 'Add Persian Language and CSS'" );
if ( !$check1 AND file_exists( ENGINE_DIR . "/inc/upgrade/add-persian-language-and-css.xml") ) {
	$dlefapersian = ENGINE_DIR . "/inc/upgrade/add-persian-language-and-css.xml";
	$plugin_file1 = trim( @file_get_contents($dlefapersian) );
	install_xml_plugin($plugin_file1);
	clear_all_caches();
	@unlink(ENGINE_DIR . '/inc/upgrade/add-persian-language-and-css.xml');
} else {
	@unlink(ENGINE_DIR . '/inc/upgrade/add-persian-language-and-css.xml');
}

$check2 = $db->super_query( "SELECT id FROM " . PREFIX . "_plugins WHERE name = 'Persian DataLife Engine'" );
if ( !$check2 AND file_exists( ENGINE_DIR . "/inc/upgrade/persian-datalife-engine.xml") ) {
	$dlefa_persian = ENGINE_DIR . "/inc/upgrade/persian-datalife-engine.xml";
	$plugin_file2 = trim( @file_get_contents($dlefa_persian) );
	install_xml_plugin($plugin_file2);
	clear_all_caches();
	@unlink(ENGINE_DIR . '/inc/upgrade/persian-datalife-engine.xml');
} else {
	@unlink(ENGINE_DIR . '/inc/upgrade/persian-datalife-engine.xml');
}

@unlink(ENGINE_DIR . '/inc/upgrade/plugins.php');

@unlink(ENGINE_DIR . '/ajax/ranksite.php');
@unlink(ENGINE_DIR . '/classes/jdate.php');
@unlink(ENGINE_DIR . '/inc/obmen.php');
@unlink(ENGINE_DIR . '/modules/3news.php');
@unlink(ENGINE_DIR . '/modules/obmen.php');


?>